import RTIcap.*;
import java.util.*;

/**
*/
public class ObjectRecord 
{
   short objectId;
   String objectClassName;
   AttributeNaming attributeDirectory;   
   Hashtable attWatcher = new Hashtable();

   public
   ObjectRecord() 
   {
   }

   /**
   */
   public
   String getAttributeName(short theHandle)
           throws RTIcap.AttributeNotDefined, 
                  RTIcap.FederateNotExecutionMember, 
                  RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, 
                  RTIcap.Deadlock
   {
       return attributeDirectory.getAttributeName(theHandle);

   }// end of getAttributeName()

   /**
   */
   public
   short getAttributeHandle(String theName)
          throws RTIcap.NameNotFound, RTIcap.FederateNotExecutionMember, 
                 RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError,
                 RTIcap.Deadlock
   {
       return attributeDirectory.getAttributeHandle(theName);
   }

   public String
   getName() { return objectClassName; }

   public short
   getId() { return objectId; }

   /**
   */
   public
   AttributeNaming getAttributeNaming(short theHandle)
          throws RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError,
                 RTIcap.Deadlock
   {
       return attributeDirectory;
   }

   /**
   */
   public
   AttributeWatcher getAttributeWatcher(short theAttHandle)
          throws RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError,
                 RTIcap.Deadlock
   {
       return (AttributeWatcher)attWatcher.get(new Short(theAttHandle));
   }

   /**
   * deregisters all the AttributeWatcher Lists.
   */
   public void
   deregisterAll_publisher( short _fedId)
   {
      
   }// end of deregisterAll_publisher()

}// end of class ObjectRecord

